%define upstream_name    Dist-Zilla-Plugin-Test-MinimumVersion
%define upstream_version 2.000010

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Release tests for minimum required versions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Section) >= 0.4.0
BuildRequires: perl(Dist::Zilla) >= 4.0.0
BuildRequires: perl(Dist::Zilla::File::InMemory)
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(Dist::Zilla::Role::PrereqSource)
BuildRequires: perl(Dist::Zilla::Role::TextTemplate)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(Sub::Exporter::ForMethods)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::MinimumVersion)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Output)
BuildRequires: perl(constant)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

Obsoletes:  perl-Dist-Zilla-Plugin-MinimumVersionTests < 2.0.0
Provides:   perl-Dist-Zilla-Plugin-MinimumVersionTests

%description
This is an extension of the Dist::Zilla::Plugin::InlineFiles manpage,
providing the following files

  xt/release/minimum-version.t - a standard Test::MinimumVersion test

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Feb 15 2020 umeabot <umeabot> 2.0.10-2.mga8
+ Revision: 1526770
- Mageia 8 Mass Rebuild

* Sat Jun 29 2019 shlomif <shlomif> 2.0.10-1.mga8
+ Revision: 1415513
- update to 2.000010

* Thu Sep 20 2018 umeabot <umeabot> 2.0.8-2.mga7
+ Revision: 1283345
- Mageia 7 Mass Rebuild

* Tue Mar 20 2018 shlomif <shlomif> 2.0.8-1.mga7
+ Revision: 1210613
- update to 2.000008

* Mon Oct 02 2017 tv <tv> 2.0.7-2.mga7
+ Revision: 1164268
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 sander85 <sander85> 2.0.7-1.mga7
+ Revision: 1157734
- update to 2.000007

* Sun Jun 19 2016 pterjan <pterjan> 2.0.6-3.mga6
+ Revision: 1026601
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 2.0.6-2.mga6
+ Revision: 966746
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 2.0.6-1.mga6
+ Revision: 846754
- update to 2.000006

* Wed Oct 15 2014 umeabot <umeabot> 2.0.5-4.mga5
+ Revision: 743850
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.0.5-2.mga4
+ Revision: 526971
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 2.0.5-1.mga4
+ Revision: 439135
- update to 2.000005

* Sun Jan 13 2013 umeabot <umeabot> 2.0.2-2.mga3
+ Revision: 366489
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 18 2012 kharec <kharec> 2.0.2-1.mga3
+ Revision: 261554
- update to 2.000002

* Mon Sep 26 2011 jquelin <jquelin> 2.0.1-1.mga2
+ Revision: 148565
- update to 2.0.1
- dist renamed upstream

* Wed Jan 26 2011 jquelin <jquelin> 1.101.421-1.mga1
+ Revision: 40492
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-MinimumVersionTests

